// Version 1.0.4

//###########################################################################
//###########################################################################
//####                                                                   ####
//####                          Olivier Pécheux                          ####
//####                        Olivier@Dansetrad.fr                       ####
//####                        (33) +6 69 77 82 58                        ####
//####               http://arduino.dansetrad.fr/MTobjects               ####
//####                                                                   ####
//###########################################################################
//###########################################################################


// Ce programme allume une led si on appuie sur un bouton et l'éteint si on
// apuuie une deuxième fois 

#include <MTobjects.h> // V1.0.4 Voir http://arduino.dansetrad.fr/MTobjects

const uint8_t PIN_BUTTON = A0; // Bouton câblé entre GND et A0


void allume(void) // Appelée quand on appuie sur le bouton
{
  digitalWrite(LED_BUILTIN, HIGH); // Allumer la led
}

void eteint(void) // Appelée quand on ré-appuie sur le bouton
{
  digitalWrite(LED_BUILTIN, LOW); // Éteindre la led
}

MTcheckButton Bouton(A0, allume, eteint);


void setup()
{
  pinMode(LED_BUILTIN, OUTPUT); // Initialisation de la led
}

void loop(){}  
